Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055024 - When Default datacenter deleted, cannot remove Default cluster or associated template
Summary: When Default datacenter deleted, cannot remove Default cluster or associated ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: ---
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: ovirt-4.1.0-beta
: ---
Assignee: bugs@ovirt.org
QA Contact: bugs@ovirt.org
URL:
Whiteboard:
Depends On:
Blocks: 1145002
TreeView+ depends on / blocked
 
Reported: 2014-01-18 03:19 UTC by Will Dennis
Modified: 2016-12-13 08:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1145002 (view as bug list)
Environment:
Last Closed: 2016-12-13 08:55:54 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-4.1?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)

Description Will Dennis 2014-01-18 03:19:10 UTC
Description of problem:
I created a new datacenter, added a cluster, host, etc. At that point, I no longer needed the Default datacenter that was created at install (no hosts were left in it), and so I deleted it. When I moved to the System > Clusters tab, I noted that there still was a "Default" cluster defined. I tried to delete it (the "Remove" link was not greyed) and when I did, it threw an error as follows:

Cannot remove default Host Cluster.
Cannot remove Cluster. One or more Template(s) are still associated with it.

When I moved to the Templates tab, there is indeed a template (named "Blank"), but when highlighted, the "Remove" link remains greyed out.

Therefore, I cannot delete the template, and the Cluster that is associated with it.

Version-Release number of selected component (if applicable):
oVirt engine version 3.3.2-1.el6

How reproducible:
Do not have another system to reproduce on.

Steps to Reproduce:
1. Highlight the Default datacenter, click "remove" link. The datacenter is deleted.
2. Move to the Clusters tab, see that there is a Default cluster, click the "Remove" link, see the error.
3. Move to the Templates tab, see that there is a template, select it, notice that the "Remove" link remains greyed out.

Actual results:


Expected results:
Deleting the Default datacenter should ensure that all associated Clusters and Templates (etc.) that are encapsulated by it are (auto?) removed (or exported etc.) before allowing the deletion.


Additional info:

Comment 1 Michal Skrivanek 2014-02-27 10:03:41 UTC
the blank template is sort of hardcoded and cannot be removed nor changed.
With instance types feature merged this limitation may go away (be able to detach from cluster) - or at least this will be doable easily

Comment 2 Michal Skrivanek 2014-08-14 13:44:13 UTC
It does make sense to keep it orphaned, but it needs even more workarounds in the code to treat it in a special way.

we should revisit this after bug 1130174 gets implemented.

Comment 3 Michal Skrivanek 2015-08-05 12:48:17 UTC
this low prio bug didn't make it for 3.6 beta cutoff, moving to 4.0

Comment 4 Sandro Bonazzola 2015-09-04 08:59:59 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 5 Will Dennis 2015-09-14 11:41:43 UTC
Update version if still relevant - I am not using this technology any longer at present so cannot verify on current version

Comment 6 Will Dennis 2015-09-14 11:42:19 UTC
Update version if still relevant - I am not using this technology any longer at present so cannot verify on current version

Comment 7 Red Hat Bugzilla Rules Engine 2015-10-19 10:49:12 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 8 Michal Skrivanek 2016-04-22 14:44:58 UTC
pushed out due to capacity reasons

Comment 9 Tomas Jelinek 2016-12-13 08:55:54 UTC
The root cause was that the Blank template was hard wired to the Default cluster making impossible to delete it. The 1130174 removed this duplication and now it is possible to delete the Default cluster. Closing this bug as current release since it is working since 3.6


Note You need to log in before you can comment on or make changes to this bug.